#
# spec file for package ZArchive
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define libpackage libzarchive0_1
Name:           ZArchive
Version:        0.1.2+git20220908.d2c7177
Release:        3.4
Summary:        Library and program for creating and reading .zar files
License:        MIT-0
URL:            https://github.com/Exzap/ZArchive
Source0:        ZArchive-%{version}.tar.xz
# PATCH-FIX-OPENSUSE
Patch1:         use_pkgconfig_for_zstd.patch
BuildRequires:  cmake >= 3.15
%if 0%{?suse_version} < 1550
BuildRequires:  gcc12-c++
%else
BuildRequires:  gcc-c++ >= 11
%endif
BuildRequires:  pkgconfig(libzstd)

%description
Program and library for handling ZArchive .zar files. ZArchive files are zstd-compressed file archives.

%package -n %{libpackage}
Summary:        ZArchive library

%description -n %{libpackage}
This subpackage contains the ZArchive library

%package devel
Summary:        Devel package for ZArchive
Requires:       %{libpackage} = %{version}

%description devel
This subpackage contains the devel files for ZArchive

%prep
%autosetup -p1

%build
%if 0%{?suse_version} < 1550
export CXX=g++-12
%endif
%cmake
%cmake_build

%install
%cmake_install

%ldconfig_scriptlets -n  %{libpackage}

%files
%license LICENSE
%doc README.md
%{_bindir}/zarchive

%files -n %{libpackage}
%license LICENSE
%{_libdir}/libzarchive.so.0.1
%{_libdir}/libzarchive.so.0.1.2

%files devel
%license LICENSE
%{_libdir}/libzarchive.so
%{_libdir}/pkgconfig/zarchive.pc
%dir %{_includedir}/zarchive
%{_includedir}/zarchive/zarchivecommon.h
%{_includedir}/zarchive/zarchivereader.h
%{_includedir}/zarchive/zarchivewriter.h

%changelog
* Mon May 15 2023 Jaime Marquínez Ferrándiz <jaime.marquinez.ferrandiz@fastmail.net>
- Add use_pkgconfig_for_zstd.patch
* Fri May  5 2023 Martin Pluskal <mpluskal@suse.com>
- Build also for Leap
* Sun Apr 30 2023 Martin Pluskal <mpluskal@suse.com>
- Cleanup _service and rename package to match upstream name
* Sat Apr 29 2023 Jaime Marquínez Ferrándiz <jaime.marquinez.ferrandiz@fastmail.net>
- Specify the correct MIT No Attribution license variant
* Fri Apr 28 2023 Jaime Marquínez Ferrándiz <jaime.marquinez.ferrandiz@fastmail.net>
- Cleanup dependencies
- Drop fix-findzstd-error.diff
- Create subpackage for the library
* Thu Apr 27 2023 Jonatas Gonçalves <jonatas.sgoncalves@gmail.com>
- Removed dependencies xz and zlib as they are not needed.
* Thu Apr 20 2023 Jonatas Gonçalves <jonatas.sgoncalves@gmail.com>
- Change to latest git version 0.1.2
  * Add fix-findzstd-error to correctly call opensuse lib name:libzstd-devel-static
* Thu Jul 14 2022 Jaime Marquínez Ferrándiz <jaime.marquinez.ferrandiz@fastmail.net>
- Use last version from git
- Drop 0001-Fix-cmake-install-targets.patch and 0001-Include-the-algorithm-header.patch: merged upstream
* Mon Jul 11 2022 Jaime Marquínez Ferrándiz <jaime.marquinez.ferrandiz@fastmail.net>
- Add 0001-Include-the-algorithm-header.patch: include missing header
* Mon May  2 2022 Jaime Marquínez Ferrándiz <jaime.marquinez.ferrandiz@fastmail.net>
- Package 0.1.1 version
